<template>
  <dashboard-layout title="empty">
    <div class="container-fluid mx-auto my-auto">
      <div v-if="loading" class="row mt-4">
        <!-- <span class="col-sm-4"></span> -->
        <h2 v-if="!errorMessage" class="col-sm-4 mx-auto mt-5">Vérification en cours...</h2>

        <div v-else class="col-sm-4 mx-auto mt-5">
          <h2>Désolé !</h2>
          <span>Nous n'avons pas pu vérifier ce compte. Veuillez bien vérifier 
            le lien qui vous est été envoyé ou veuillez contacter nos services de renseignement.
            Merci
          </span>

        </div>
      </div>
      <div v-else class="col-sm-6 mx-auto mt-5">
        <h2 class="mx-auto tac">Votre adresse mail a bien été vérifier !</h2>
        <p class="mt-2">
          Vous pouvez désormais vous connecter pour commencer l'aventure avec 
          World Business.
        </p>
      </div>
    </div>
  </dashboard-layout>
</template>

<script>
export default {
  name: 'Login',
  data () {
    return {
      admin: {
        email: '',
        password: '',
      },
      errorMessage: false,

      defaultParrain: '',
      loading: true
    }
  },
  mounted() {
    // to-do
    this.defaultParrain = this.$route.params.type;
    this.login();

  },
  methods: {
    login(){
      let user = {
        email: 'beaud@gmail.com',
        password: 'beaud'
      }
      this.$service.login(user, (err, data) => {
        if (err) { return console.log('Login not doing => ', err) }

        console.log("login successful... ",data);

        let query = {
          options: {
            codeparrainage: this.defaultParrain
          }
        }

        this.$service.get('admins/list', query, (error, donnee) => {
          if (err) { return console.log('Get admin not doing => ', error) }

          console.log("Verify Admin ", donnee);

        this.update(data.admin._id, data.token);
        });

      });
    },
    update(idUser, tokenUser){
      let user = {
        active: true
      }
      this.$service.putWithToken('admins/'+idUser, user, tokenUser, (err, data) => {
        if (err) { return console.log('Update not doing => ', err) }

        console.log("User active successfuled update ",data);
        this.loading = false;
      });
    }
  }
}
</script>
